#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8e59b19a, "nf_nat_irc_hook" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0x211cb6b8, "nf_ct_unexpect_related" },
	{ 0x5b1feb23, "nf_ct_helper_log" },
	{ 0x9b7fe4d4, "__dynamic_pr_debug" },
	{ 0x7ee88d8a, "__nf_nat_mangle_tcp_packet" },
	{ 0x754d539c, "strlen" },
	{ 0x28318305, "snprintf" },
	{ 0xc046c5c9, "nf_ct_expect_related_report" },
	{ 0x4b9d5b42, "nf_nat_follow_master" },
	{ 0x7c32d0f0, "printk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_conntrack_irc,nf_conntrack,nf_nat";


MODULE_INFO(srcversion, "805071F0B5E560352BDAF08");
